This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 471043 - wine hangs
wine hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 10:29 EST by Martin Naď
Modified: 2009-12-18 01:48 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:48:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Naď 2008-11-11 10:29:11 EST
Description of problem:
wine hangs

Version-Release number of selected component (if applicable):
wine-1.1.7-1.fc10.i386
alsa-plugins-pulseaudio-1.0.18-1.rc3.fc10.i386

How reproducible:
everytime

Steps to Reproduce:
1.start winecfg, select tabs sound, click "Test sound"
2.winecfg hangs
  
Actual results:
wine hangs

Expected results:
wine not hangs
Comment 1 Martin Naď 2008-11-11 10:53:53 EST
this traceback I diselect alsa,restart winecfg select EounD, Select Alsa winecfg crash
[NSatan@Satan ~]$ winecfg  
wine: Unhandled page fault on read access to 0x00000040 at address 0x60866b6f (thread 0023), starting debugger...
Unhandled exception: page fault on read access to 0x00000040 in 32-bit code (0x60866b6f).                        
Register dump:                                                                                                   
 CS:0023 SS:002b DS:002b ES:002b FS:0063 GS:006b                                                                 
 EIP:60866b6f ESP:0032f708 EBP:0032f708 EFLAGS:00010202(   - 00      - -RI1)                                     
 EAX:00000001 EBX:608b1948 ECX:00000040 EDX:00000001                                                             
 ESI:00000040 EDI:00000001                                                                                       
Stack dump:                                                                                                      
0x0032f708:  0032f768 608510b9 00000040 00000001                                                                 
0x0032f718:  00000519 fffffe38 00000000 00000000                                                                 
0x0032f728:  0032f76c 0032f770 00000019 00000000                                                                 
0x0032f738:  00000001 00000019 0000002b 0004003a                                                                 
0x0032f748:  00000200 0000001c 0013d9a8 00001060                                                                 
0x0032f758:  00000059 608b1948 00132930 00000001                                                                 
Backtrace:                                                                                                       
=>1 0x60866b6f IsRectEmpty+0xf() in user32 (0x0032f708)                                                          
  2 0x608510b9 RedrawWindow+0x59() in user32 (0x0032f768)                                                        
  3 0x608525a0 InvalidateRect+0x40() in user32 (0x0032f788)                                                      
  4 0x60aa85f3 in comctl32 (+0x885f3) (0x0032f7d8)                                                               
  5 0x60aa988c in comctl32 (+0x8988c) (0x0032f958)                                                               
  6 0x6087a18a WINPROC_wrapper+0x1a() in user32 (0x0032f988)                                                     
  7 0x6087a5d1 WINPROC_wrapper+0x461() in user32 (0x0032f9c8)                                                    
  8 0x6087f877 in user32 (+0xaf877) (0x0032fa08)                                                                 
  9 0x6083fcf6 DispatchMessageW+0x96() in user32 (0x0032fa48)                                                    
  10 0x6080c739 IsDialogMessageW+0x129() in user32 (0x0032fbc8)                                                  
  11 0x60a6cb3d in comctl32 (+0x4cb3d) (0x0032fc28)                                                              
  12 0x60a6cf54 PropertySheetW+0x1c4() in comctl32 (0x0032fc88)                                                  
  13 0x6051ab62 in winecfg (+0x1ab62) (0x0032fe38)                                                               
  14 0x6051ac3a WinMain+0xca() in winecfg (0x0032fe58)                                                           
  15 0x6052282d main+0xad() in winecfg (0x0032fed8)                                                              
  16 0x60522768 in winecfg (+0x22768) (0x0032ff08)                                                               
  17 0x60428f48 in kernel32 (+0x58f48) (0x0032ffe8)                                                              
  18 0x60007887 (0x00000000)                                                                                     
0x60866b6f IsRectEmpty+0xf in user32: movl      0x0(%ecx),%eax                                                   
Modules:                                                                                                         
Module  Address                 Debug info      Name (97 modules)                                                
ELF       248000-  2db000       Deferred        libfreetype.so.6                                                 
ELF       248000-  2db000       Deferred        libfreetype.so.6                                                 
ELF       2dd000-  304000       Deferred        libexpat.so.1                                                    
ELF       325000-  354000       Deferred        libfontconfig.so.1                                               
ELF       356000-  35d000       Deferred        libxrandr.so.2                                                   
ELF       366000-  38f000       Deferred        libm.so.6                                                        
ELF       391000-  492000       Deferred        libx11.so.6                                                      
ELF       4be000-  4d2000       Deferred        libz.so.1                                                        
ELF       51d000-  520000       Deferred        libxinerama.so.1                                                 
ELF       522000-  527000       Deferred        libxfixes.so.3                                                   
ELF       529000-  533000       Deferred        libxcursor.so.1                                                  
ELF       535000-  545000       Deferred        libxext.so.6                                                     
ELF       552000-  555000       Deferred        libxcomposite.so.1                                               
ELF       687000-  68b000       Deferred        libuuid.so.1                                                     
ELF       68d000-  6a7000       Deferred        libice.so.6                                                      
ELF       6a9000-  6b3000       Deferred        librt.so.1                                                       
ELF       6b5000-  6bd000       Deferred        libsm.so.6                                                       
ELF       8b7000-  8ba000       Deferred        libcom_err.so.2                                                  
ELF       8f6000-  8f9000       Deferred        libkeyutils.so.1                                                 
ELF       a2a000-  a30000       Deferred        libxdmcp.so.6                                                    
ELF       a32000-  a34000       Deferred        libxcb-xlib.so.0                                                 
ELF       a36000-  a3f000       Deferred        libxrender.so.1                                                  
ELF       a41000-  a44000       Deferred        libxau.so.6                                                      
ELF       a4a000-  a6c000       Deferred        ld-linux.so.2                                                    
ELF       a6e000-  be6000       Deferred        libc.so.6                                                        
ELF       bef000-  bfd000       Deferred        libgcc_s.so.1                                                    
ELF       c28000-  c2d000       Deferred        libdl.so.2                                                       
ELF       c86000-  ca0000       Deferred        libpthread.so.0                                                  
ELF       ccb000-  ce7000       Deferred        libselinux.so.1                                                  
ELF       da6000-  dc2000       Deferred        libxcb.so.1                                                      
ELF      2939000- 29d8000       Deferred        libkrb5.so.3                                                     
ELF      2ab6000- 2ae5000       Deferred        libgssapi_krb5.so.2                                              
ELF      59a3000- 59c8000       Deferred        libk5crypto.so.3                                                 
ELF      5a42000- 5a59000       Deferred        libresolv.so.2                                                   
ELF      5b20000- 5b53000       Deferred        libcrypt.so.1                                                    
ELF      5ba0000- 5baa000       Deferred        libkrb5support.so.0                                              
ELF     602ce000-6037d000       Deferred        ntdll<elf>                                                       
  \-PE  602e0000-6037d000       \               ntdll                                                            
ELF     603a6000-603b3000       Deferred        libnss_files.so.2                                                
ELF     603b3000-604fe000       Export          kernel32<elf>                                                    
  \-PE  603d0000-604fe000       \               kernel32                                                         
ELF     604fe000-6057d000       Export          winecfg<elf>                                                     
  \-PE  60500000-6057d000       \               winecfg                                                          
ELF     6057d000-6062c000       Deferred        comdlg32<elf>                                                    
  \-PE  60580000-6062c000       \               comdlg32                                                         
ELF     6062c000-60750000       Deferred        shell32<elf>                                                     
  \-PE  60640000-60750000       \               shell32                                                          
ELF     60750000-607b0000       Deferred        shlwapi<elf>                                                     
  \-PE  60760000-607b0000       \               shlwapi                                                          
ELF     607b0000-6090c000       Export          user32<elf>                                                      
  \-PE  607d0000-6090c000       \               user32                                                           
ELF     6090c000-609b4000       Deferred        gdi32<elf>                                                       
  \-PE  60920000-609b4000       \               gdi32                                                            
ELF     609b4000-60a0d000       Deferred        advapi32<elf>                                                    
  \-PE  609c0000-60a0d000       \               advapi32                                                         
ELF     60a0d000-60ad9000       Export          comctl32<elf>                                                    
  \-PE  60a20000-60ad9000       \               comctl32                                                         
ELF     60ad9000-60b10000       Deferred        winspool<elf>                                                    
  \-PE  60ae0000-60b10000       \               winspool                                                         
ELF     60b10000-60c36000       Deferred        ole32<elf>                                                       
  \-PE  60b30000-60c36000       \               ole32                                                            
ELF     60c36000-60ca1000       Deferred        rpcrt4<elf>                                                      
  \-PE  60c40000-60ca1000       \               rpcrt4                                                           
ELF     60ca1000-60cc1000       Deferred        iphlpapi<elf>                                                    
  \-PE  60cb0000-60cc1000       \               iphlpapi                                                         
ELF     60cd8000-60d6f000       Deferred        winmm<elf>                                                       
  \-PE  60ce0000-60d6f000       \               winmm                                                            
ELF     60d6f000-60da2000       Deferred        uxtheme<elf>                                                     
  \-PE  60d80000-60da2000       \               uxtheme                                                          
ELF     60fe9000-6100a000       Deferred        imm32<elf>                                                       
  \-PE  60ff0000-6100a000       \               imm32                                                            
ELF     6100d000-61012000       Deferred        libxxf86vm.so.1                                                  
ELF     61031000-6106b000       Deferred        libcups.so.2                                                     
ELF     6109a000-6113e000       Deferred        libgnutls.so.26                                                  
ELF     61188000-61199000       Deferred        libtasn1.so.3                                                    
ELF     61199000-61214000       Deferred        libgcrypt.so.11                                                  
ELF     61214000-61218000       Deferred        libgpg-error.so.0                                                
ELF     61234000-6124e000       Deferred        wineesd<elf>                                                     
  \-PE  61240000-6124e000       \               wineesd                                                          
ELF     6124e000-61258000       Deferred        libesd.so.0                                                      
ELF     61258000-6127f000       Deferred        libaudiofile.so.0                                                
ELF     6127f000-61361000       Deferred        libasound.so.2                                                   
ELF     6136b000-61383000       Deferred        msacm32<elf>                                                     
  \-PE  61370000-61383000       \               msacm32                                                          
ELF     61383000-613ac000       Deferred        msacm32<elf>                                                     
  \-PE  61390000-613ac000       \               msacm32                                                          
ELF     613ac000-613c1000       Deferred        midimap<elf>                                                     
  \-PE  613b0000-613c1000       \               midimap                                                          
ELF     613f8000-613fe000       Deferred        libasound_module_pcm_pulse.so                                    
ELF     613fe000-6146d000       Deferred        libpulse.so.0                                                    
ELF     6146d000-61473000       Deferred        libasyncns.so.0                                                  
ELF     61473000-61478000       Deferred        libcap.so.2                                                      
ELF     61478000-6147f000       Deferred        libgdbm.so.2                                                     
ELF     6147f000-61499000       Deferred        libnsl.so.1                                                      
ELF     6d7ca000-6d86a000       Deferred        winex11<elf>
  \-PE  6d7e0000-6d86a000       \               winex11
ELF     7bf00000-7bf03000       Deferred        <wine-loader>
Threads:
process  tid      prio (all id:s are in hex)
0000000c
        00000012    0
        0000000e    0
        0000000d    0
0000000f
        00000015    0
        00000014    0
        00000011    0
        00000010    0
00000022 (D) C:\windows\system32\winecfg.exe
        00000023    0 <==
00000024
        00000025    0
Backtrace:
=>1 0x60866b6f IsRectEmpty+0xf() in user32 (0x0032f708)
  2 0x608510b9 RedrawWindow+0x59() in user32 (0x0032f768)
  3 0x608525a0 InvalidateRect+0x40() in user32 (0x0032f788)
  4 0x60aa85f3 in comctl32 (+0x885f3) (0x0032f7d8)
  5 0x60aa988c in comctl32 (+0x8988c) (0x0032f958)
  6 0x6087a18a WINPROC_wrapper+0x1a() in user32 (0x0032f988)
  7 0x6087a5d1 WINPROC_wrapper+0x461() in user32 (0x0032f9c8)
  8 0x6087f877 in user32 (+0xaf877) (0x0032fa08)
  9 0x6083fcf6 DispatchMessageW+0x96() in user32 (0x0032fa48)
  10 0x6080c739 IsDialogMessageW+0x129() in user32 (0x0032fbc8)
  11 0x60a6cb3d in comctl32 (+0x4cb3d) (0x0032fc28)
  12 0x60a6cf54 PropertySheetW+0x1c4() in comctl32 (0x0032fc88)
  13 0x6051ab62 in winecfg (+0x1ab62) (0x0032fe38)
  14 0x6051ac3a WinMain+0xca() in winecfg (0x0032fe58)
  15 0x6052282d main+0xad() in winecfg (0x0032fed8)
  16 0x60522768 in winecfg (+0x22768) (0x0032ff08)
  17 0x60428f48 in kernel32 (+0x58f48) (0x0032ffe8)
  18 0x60007887 (0x00000000)
Comment 2 Michal Schmidt 2008-11-11 10:56:46 EST
I can reproduce (only the hang, not the traceback). The same version of wine, running on x86_64 Rawhide.

The sound test causes a hang if ALSA driver is selected in winecfg. I does not
hang if I select EsounD (But note that I have to select it, use "OK" to save
and quit, and run winecfg again. My settings don't seem to take effect
otherwise.)

I use PulseAudio plugin as my default ALSA device, this could be relevant.
Comment 3 Bug Zapper 2008-11-26 00:11:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Stijn Hoop 2008-12-01 17:42:48 EST
Seeing the same problem on Fedora 10 x86_64 updated today, using pulseaudio (as is default). I can "fix" the hang by killing the appropriate pulseaudio stream in paman (choose Clients tab, select 'ALSA plugin [wine-preloader]', click properties and then click Kill.

If I do so, the following terminal output is produced by winecfg:

err:wave:wodPlayer_Reset pcm prepare failed: Input/output error

I've tried disabling pulseaudio but it seems that wine is somehow configured to preload the alsa plugin and I haven't yet figured out how to disable that.
Comment 5 Jase Whipp 2008-12-01 18:37:50 EST
I'm seeing this as well:

wine: Unhandled page fault on write access to 0x27ebdd28 at address 0x611a8cb6 (thread 000b), starting debugger...

I've tried removing pulseaudio which doesn't have an affect.  I notice that when I run winecfg for the first time, wineboot.exe hangs with 50% cpu (this is a dual core system, so 100% of 1 core) usage and must be killed. Even though winecfg runs, it dies when you click the test audio button.  

Also, and this is a big problem, wine apps fail to initialize. They start as an active process, but hang with 50% CPU usage and must be killed.  

For an additional test I compiled the latest dev wine code which yielded the exact same behaviour.

This bug should have a higher priority.  For many Fedora users, this is key functionality.
Comment 6 Martin Naď 2008-12-13 09:28:56 EST
with alsa-plugins-pulseaudio-1.0.18-1.rc3.fc10.i386,wine-1.1.10-1.fc10.i386
     wine not hangs,wine not crash, wine-1.1.10-1.fc10.i386 is good
Comment 7 Jase Whipp 2008-12-18 16:02:36 EST
(In reply to comment #6)
> with alsa-plugins-pulseaudio-1.0.18-1.rc3.fc10.i386,wine-1.1.10-1.fc10.i386
>      wine not hangs,wine not crash, wine-1.1.10-1.fc10.i386 is good

I repeated the testing I did with a fresh install and updates completed.  Wine hung with the default install.  Removing pulseaudio fixed the problem with Wine so I think we're just seeing another Wine with Pulseaudio issue. I haven't personally tried using the alsa-plugins-pulseaudio.i386, I'd encourage more testing on that as well.

-Jase
Comment 8 Jase Whipp 2008-12-19 17:09:04 EST
Tested installing alsa-plugins-pulseaudio.i386, still experiencing the same issue.  As soon as I remove Pulseaudio, wine is functional again.  I did also confirm that finding the alsa-plugin in the pulseaudio manager and killing it does allow winecfg to continue.  This likely wouldn't work with applications that continue to produce sound.

This looks to be a problem either with Pulseaudio or with the Alsa plugins to Puleseaudio.  Leaning toward the alsa plugins...if anyone out there is using 32bit flash on 64 bit would that not also use the 32bit Alsa plugin?

-Jase
Comment 9 Jani Ollikainen 2009-01-21 05:33:23 EST
I think I'm seeing this with Fedora 9 and i386.

Trying to get spotify to work, but I only managed to get it to not work, hang, play with jumping, or play with total silence..

winecfg plays couple first seconds of the music and then hangs.

$ rpm -q pulseaudio wine alsa-plugins-pulseaudio
pulseaudio-0.9.10-2.fc9.i386
wine-1.1.9-2.fc9.i386
alsa-plugins-pulseaudio-1.0.16-4.fc9.i386

But choosing esound in winecfg seems to work ok, which is kind of weird because I don't seem esound daemon running anywhere..
Comment 10 Matthew 2009-03-09 14:16:22 EDT
Just to confirm, when you say "default install" did you delete your .wine folder in your user directory? (or move it somewhere else).

I personally have had better luck compiling straight from the winehq.org source files than the RPMs from Fedora (Dual Core 64bit AMD). And I use Alsa just fine (with Creative XFi 1.00 driver I compiled).
Comment 11 Fabian 2009-03-25 14:03:58 EDT
has this been fixed or anything? I still can't load any programs..
Comment 12 Martin Naď 2009-09-04 13:15:21 EDT
this bug is still not closed? what, wine works fine for me ,but I played only starcraft,warcraft (every day) sound on pulse works fine wine and I switch to FC11

wine-nas-1.1.28-1.fc11.i586
wine-cms-1.1.28-1.fc11.i586
wine-fonts-1.1.28-1.fc11.noarch
wine-capi-1.1.28-1.fc11.i586
wine-jack-1.1.28-1.fc11.i586
wine-desktop-1.1.28-1.fc11.noarch
wine-core-1.1.28-1.fc11.i586
wine-pulseaudio-1.1.28-1.fc11.i586
wine-esd-1.1.28-1.fc11.i586
wine-1.1.28-1.fc11.i586
wine-twain-1.1.28-1.fc11.i586
wine-ldap-1.1.28-1.fc11.i586
wine-common-1.1.28-1.fc11.noarch
Comment 13 Martin Naď 2009-09-20 11:17:39 EDT
sory wine-1.1.29-1.fc11.i586.rpm is not work
[namar@fedora ~]$ winecfg 
ALSA lib seq_hw.c:457:(snd_seq_hw_open) open /dev/snd/seq failed: Adresář nebo soubor neexistuje
wine: Unhandled page fault on write access to 0x8606d5f0 at address 0x33ef4826e3 (thread 0009), starting debugger...                                                                                          
wine: Unhandled page fault on read access to 0x00000028 at address 0x7fc988210fc7 (thread 001b), starting debugger...                                                                                         
wine: Unhandled page fault on read access to 0x00000028 at address 0x7f8902520fc7 (thread 001d), starting debugger...                                                                                         
wine: Unhandled page fault on read access to 0x00000028 at address 0x7f8c17a10fc7 (thread 001f), starting debugger...                                                                                         
wine: Unhandled page fault on read access to 0x00000028 at address 0x7f34bdda0fc7 (thread 0021), starting debugger...                                                                                         
wine: Unhandled page fault on read access to 0x00000028 at address 0x7f1fac510fc7 (thread 0023), starting debugger...                                                                                         
wine: Unhandled page fault on read access to 0x00000028 at address 0x7fee83f60fc7 (thread 0025), starting debugger...                                                                                         
wine: Unhandled page fault on read access to 0x00000028 at address 0x7f338c780fc7 (thread 0027), starting debugger...
Comment 14 Martin Naď 2009-09-20 11:21:03 EDT
wine-1.1.29-1.fc11.i586.rpm work without wine.x86_64 package
Comment 15 Bug Zapper 2009-11-18 02:58:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-12-18 01:48:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.